[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazRegions' (#lcl)

# TLazRegion.Destroy

Destructor for the class instance.

## Declaration

Source position: lazregions.pas line 71

`public destructor TLazRegion.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy ensures that resource allocated for the Parts member are freed. Destroy calls the inherited destructor prior to exiting from the method.

Remark: | Destroy does not call Parts.Clear prior to freeing the Parts member; that action is performed in the destructor for the TFPList class instance.